(ns wanijo.auth.view
  (:require [hiccup.form :as hf]
            [wanijo.view :refer [layout]]
            [ring.util.anti-forgery :refer [anti-forgery-field]]))

(defn login [req]
  (layout
   :authed? false
   :content
   [[:h1 "Kama ken"]
    (hf/form-to
     [:post "/login-check"]
     (when (:flash req) [:section.flash (:flash req)])
     ;;
     (hf/label "uname" "Nimi")
     (hf/text-field {:required "required"} "uname")
     ;;
     (hf/label "pw" "Toki Pimeja")
     (hf/password-field {:required "required"} "pw")
     ;;
     (hf/submit-button "Kama")
     (anti-forgery-field))]))
