(ns wanijo.auth.routes
  (:require [compojure.core :refer [POST GET defroutes]]
            [wanijo.auth.view :as auth-view]
            [wanijo.auth.handler :as auth-handler]))

(defroutes auth-routes
  (GET "/login" [] auth-view/login)
  (POST "/login-check" [] auth-handler/login-check!)
  (GET "/logout" [] auth-handler/logout))
